OGRE-Next: Ogre::VulkanGlobalBindingTable Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VulkanGlobalBindingTable Struct Reference

This table holds an emulation of D3D11/Metal style of resource binding. More...

`#include <OgreVulkanGlobalBindingTable.h>`

## Public Member Functions
void | reset ()
void | setAllDirty ()

## Public Attributes
VkWriteDescriptorSet * | bakedDescriptorSets [BakedDescriptorSets::NumBakedDescriptorSets]
VkDescriptorBufferInfo | constBuffers [NUM_BIND_CONST_BUFFERS]
bool | dirtyBakedSamplers
bool | dirtyBakedTextures
bool | dirtyBakedUavs
bool | dirtyParamsBuffer
uint8 | minDirtySlotConst
uint8 | minDirtySlotReadOnlyBuffer
uint8 | minDirtySlotSamplers
uint8 | minDirtySlotTexBuffer
uint8 | minDirtySlotTextures
VkDescriptorBufferInfo | paramsBuffer [NumShaderTypes+1u]
VkDescriptorBufferInfo | readOnlyBuffers [NUM_BIND_READONLY_BUFFERS]
VkDescriptorImageInfo | samplers [NUM_BIND_SAMPLERS]
VkBufferView | texBuffers [NUM_BIND_TEX_BUFFERS]
VkDescriptorImageInfo | textures [NUM_BIND_TEXTURES]

## Detailed Description

This table holds an emulation of D3D11/Metal style of resource binding.

See also
  VulkanRootLayout::bind

## Member Function Documentation

## ◆ reset()

void Ogre::VulkanGlobalBindingTable::reset | ( |  | ) |
| inline

References dirtyBakedSamplers, dirtyBakedTextures, dirtyBakedUavs, dirtyParamsBuffer, minDirtySlotConst, minDirtySlotReadOnlyBuffer, minDirtySlotSamplers, minDirtySlotTexBuffer, and minDirtySlotTextures.

## ◆ setAllDirty()

void Ogre::VulkanGlobalBindingTable::setAllDirty | ( |  | ) |
| inline

References dirtyBakedSamplers, dirtyBakedTextures, dirtyBakedUavs, dirtyParamsBuffer, minDirtySlotConst, minDirtySlotReadOnlyBuffer, minDirtySlotSamplers, minDirtySlotTexBuffer, and minDirtySlotTextures.

## Member Data Documentation

## ◆ bakedDescriptorSets

VkWriteDescriptorSet* Ogre::VulkanGlobalBindingTable::bakedDescriptorSets[BakedDescriptorSets::NumBakedDescriptorSets]

## ◆ constBuffers

VkDescriptorBufferInfo Ogre::VulkanGlobalBindingTable::constBuffers[NUM_BIND_CONST_BUFFERS]

## ◆ dirtyBakedSamplers

bool Ogre::VulkanGlobalBindingTable::dirtyBakedSamplers

Referenced by reset(), and setAllDirty().

## ◆ dirtyBakedTextures

bool Ogre::VulkanGlobalBindingTable::dirtyBakedTextures

Referenced by reset(), and setAllDirty().

## ◆ dirtyBakedUavs

bool Ogre::VulkanGlobalBindingTable::dirtyBakedUavs

Referenced by reset(), and setAllDirty().

## ◆ dirtyParamsBuffer

bool Ogre::VulkanGlobalBindingTable::dirtyParamsBuffer

Referenced by reset(), and setAllDirty().

## ◆ minDirtySlotConst

uint8 Ogre::VulkanGlobalBindingTable::minDirtySlotConst

Referenced by reset(), and setAllDirty().

## ◆ minDirtySlotReadOnlyBuffer

uint8 Ogre::VulkanGlobalBindingTable::minDirtySlotReadOnlyBuffer

Referenced by reset(), and setAllDirty().

## ◆ minDirtySlotSamplers

uint8 Ogre::VulkanGlobalBindingTable::minDirtySlotSamplers

Referenced by reset(), and setAllDirty().

## ◆ minDirtySlotTexBuffer

uint8 Ogre::VulkanGlobalBindingTable::minDirtySlotTexBuffer

Referenced by reset(), and setAllDirty().

## ◆ minDirtySlotTextures

uint8 Ogre::VulkanGlobalBindingTable::minDirtySlotTextures

Referenced by reset(), and setAllDirty().

## ◆ paramsBuffer

VkDescriptorBufferInfo Ogre::VulkanGlobalBindingTable::paramsBuffer[NumShaderTypes+1u]

## ◆ readOnlyBuffers

VkDescriptorBufferInfo Ogre::VulkanGlobalBindingTable::readOnlyBuffers[NUM_BIND_READONLY_BUFFERS]

## ◆ samplers

VkDescriptorImageInfo Ogre::VulkanGlobalBindingTable::samplers[NUM_BIND_SAMPLERS]

## ◆ texBuffers

VkBufferView Ogre::VulkanGlobalBindingTable::texBuffers[NUM_BIND_TEX_BUFFERS]

## ◆ textures

VkDescriptorImageInfo Ogre::VulkanGlobalBindingTable::textures[NUM_BIND_TEXTURES]

The documentation for this struct was generated from the following file:

- OgreVulkanGlobalBindingTable.h